---
title: "Autocomplete Room Name for Team"
slug: "autocomplete-room-name-for-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Autocomplete Room Name for Team

Get/api/v1/rooms.autocomplete.availableForTeams

Autocompletes room name available for conversion to team.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersnamestringRequired

The name of the room

Exampledata-loss-prevention

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='46a25566-8c2d-45c9-a8eb-90f33b10b84f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ae21cf04-5298-415e-ad1e-4d4d0bb7b9ea'>Match error</option>
</select>Match error

```json
{
  "items": [
    {
      "_id": "siyr2oWQJBjQjhLwr",
      "fname": "try",
      "name": "try",
      "t": "c"
    }
  ],
  "success": true
}
```

Expand Allobject  items Array of object   object  _idstring    
fnamestring    
namestring    
tstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c801cb0c-53ee-413a-b648-e4a803d1a7a7'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='9a7cbcd1-156d-493b-b7b1-0deaa2f04a3c'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
